Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 606297 - fence_apc fails for some port numbers
fence_apc fails for some port numbers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
Regression
:
Depends On:
Blocks: 606315 606316
  Show dependency treegraph
 
Reported: 2010-06-21 07:35 EDT by Milan Broz
Modified: 2016-04-26 10:09 EDT (History)
5 users (show)

See Also:
Fixed In Version: fence-agents-3.0.12-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 606315 606316 (view as bug list)
Environment:
Last Closed: 2010-11-15 08:57:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2010-06-21 07:35:45 EDT
Description of problem:

This command works
fence_apc  -l user -p user -a pdu -o reboot -n 1
but the same command fails for port 23:
fence_apc  -l user -p user -a pdu -o reboot -n 23

(first line on new page)

Version-Release number of selected component (if applicable):
fence-agents-3.0.12-3.el6.x86_64

How reproducible:
Log into BAR cluster and try to fence bar-01:-)
Comment 1 RHEL Product and Program Management 2010-06-21 07:43:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Marek Grac 2010-06-21 07:45:35 EDT
Line splitting is not working as expected when 'next line' is not issued and just carriage is returned on the first position. This affects only line after
'press enter to continue'

show_re = re.compile('^\s*(\d+)- (.*?)\s+(ON|OFF)\s*')

need to be changed to: (accept 0D as start of line)

show_re = re.compile('[^\x0D]\s*(\d+)- (.*?)\s+(ON|OFF)\s*')
Comment 3 Jaroslav Kortus 2010-06-21 08:47:55 EDT
does this mean that 0x0D will be required then? Won't this break the first (working) case?
Comment 4 Marek Grac 2010-06-23 09:15:28 EDT
@Jaroslav:

No, it won't but you are right that it is doing something else then I explained. It will accept much more then before but it will work. As we want to have regex as strict as possible the final regex should be:

(^|\x0D)\s*(\d+)...

so string can start with whitespaces (^ is matched) or with 0x0D.
Comment 7 releng-rhel@redhat.com 2010-11-15 08:57:34 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.